## node-http-signature 1.1.1

=== Makefile ===
#
# Copyright (c) 2012, Joyent, Inc. All rights reserved.
#
# Makefile: basic Makefile for template API service
#
# This Makefile is a template for new repos. It contains only repo-specific
# logic and uses included makefiles to supply common targets (javascriptlint,
# jsstyle, restdown, etc.), which are used by other repos as well. You may well
# need to rewrite most of this file, but you shouldn't need to touch the
# included makefiles.
#
# If you find yourself adding support for new targets that could be useful for
# other projects too, you should add these to the original versions of the
# included Makefiles (in eng.git) so that other teams can use them too.
#

#
# Tools
#
NPM_EXEC        := npm
TAP		:= ./node_modules/.bin/tap

#
# Files
#
JS_FILES	:= $(shell find lib -name '*.js')
JSL_CONF_NODE	 = tools/jsl.node.conf
JSL_FILES_NODE   = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSSTYLE_FLAGS    = -f tools/jsstyle.conf


include ./tools/mk/Makefile.defs
include ./tools/mk/Makefile.node_deps.defs

#
# Repo-specific targets
#
.PHONY: all
all: $(REPO_DEPS)
	$(NPM_EXEC) install

CLEAN_FILES += $(TAP) ./node_modules/tap

.PHONY: test
test: all
	TAP=1 $(TAP) test/*.test.js

include ./tools/mk/Makefile.deps
include ./tools/mk/Makefile.node_deps.targ
include ./tools/mk/Makefile.targ

=== debian/changelog ===
node-http-signature (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #862314)

 -- Pirate Praveen <praveen@debian.org>  Thu, 11 May 2017 11:07:47 +0530

=== debian/control ===
Source: node-http-signature
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-tap
 , node-node-uuid
 , node-sshpk (>= 1.7.0)
 , node-assert-plus (>= 0.2.0)
 , node-jsprim (>= 1.2.2)
Standards-Version: 3.9.8
Homepage: https://github.com/joyent/node-http-signature/
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-http-signature.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-http-signature.git

Package: node-http-signature
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-sshpk (>= 1.7.0)
 , node-assert-plus (>= 0.2.0)
 , node-jsprim (>= 1.2.2)
Description: Reference implementation of Joyent's HTTP Signature scheme
 node-http-signature is a node.js library that has client and server components
 for Joyent's HTTP Signature Scheme.
 .
 This library is a dependency of request, the simplest way possible to make
 http calls.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
	# Disable failing tests
	ls -1 test/*.js | grep -v examples.test.js | xargs tap

=== debian/tests/control ===
Tests: require
Depends: node-http-signature

Test-Command: ls -1 test/*.js | grep -v examples.test.js | xargs tap
Depends: @, node-tap

## node-http-signature 1.2.0

=== debian/changelog ===
node-http-signature (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Change section to javascript
  * Update dependencies
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Enable nocheck build profile

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Sep 2018 17:03:33 +0530

=== debian/control ===
Source: node-http-signature
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs
 , node-tap <!nocheck>
 , node-node-uuid <!nocheck>
 , node-assert-plus (>= 1.0~) <!nocheck>
 , node-jsprim (>= 1.2.2~) <!nocheck>
 , node-sshpk (>= 1.7~) <!nocheck>
Standards-Version: 4.2.1
Homepage: https://github.com/joyent/node-http-signature/
Vcs-Git: https://salsa.debian.org/js-team/node-http-signature.git
Vcs-Browser: https://salsa.debian.org/js-team/node-http-signature

Package: node-http-signature
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0~)
 , node-jsprim (>= 1.2.2~)
 , node-sshpk (>= 1.7~)
Description: Reference implementation of Joyent's HTTP Signature scheme
 node-http-signature is a node.js library that has client and server components
 for Joyent's HTTP Signature Scheme.
 .
 This library is a dependency of request, the simplest way possible to make
 http calls.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,10 @@
 #override_dh_auto_build:
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
+	mkdir node_modules
+	ln -s /usr/lib/nodejs/node-uuid node_modules/uuid
 	# Disable failing tests
 	ls -1 test/*.js | grep -v examples.test.js | xargs tap
+	rm -rf node_modules
+endif

=== debian/tests/control ===
Tests: require
Depends: node-http-signature

Test-Command: set -e
 ; mkdir node_modules
 ; ln -s /usr/lib/nodejs/node-uuid node_modules/uuid
 ; ls -1 test/*.js | grep -v examples.test.js | xargs tap
Depends: @, node-tap, node-node-uuid

## node-http-signature 1.3.2

=== debian/changelog ===
node-http-signature (1.3.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Use pkg-js-tools auto test & install
  * New upstream version 1.3.2
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Drop unneeded version constraints from (build) dependencies
  * Update copyright
  * Drop useless patch

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Mar 2020 08:46:48 +0100

=== debian/control ===
Source: node-http-signature
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , node-assert-plus
 , node-jsprim
 , node-node-uuid
 , node-sshpk
 , node-tap
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-http-signature
Vcs-Git: https://salsa.debian.org/js-team/node-http-signature.git
Homepage: https://github.com/joyent/node-http-signature/
Rules-Requires-Root: no

Package: node-http-signature
Architecture: all
Depends:
 ${misc:Depends}
 , node-assert-plus
 , node-jsprim
 , node-sshpk
 , nodejs
Description: Reference implementation of Joyent's HTTP Signature scheme
 node-http-signature is a node.js library that has client and server components
 for Joyent's HTTP Signature Scheme.
 .
 This library is a dependency of request, the simplest way possible to make
 http calls.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-http-signature-$1.tar.gz/ \
 https://github.com/joyent/node-http-signature/tags .*/archive/v?([\d\.]+).tar.gz

## node-http-signature 1.3.5

=== debian/changelog ===
node-http-signature (1.3.5-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 1.3.5
  * Fix patch format

 -- Xavier Guimard <yadd@debian.org>  Wed, 09 Dec 2020 13:52:41 +0100

node-http-signature (1.3.2-3) unstable; urgency=medium

  * Adapt to node-uuid 8.x API change

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 Dec 2020 19:50:23 +0530

node-http-signature (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * fix build-depend on node-uuid
    (not transitional node-node-uuid)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2020 14:14:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  debhelper-compat (= 12)
  , node-assert-plus
  , node-jsprim
- , node-node-uuid
+ , node-uuid
  , node-sshpk
  , node-tap
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-http-signature
 Vcs-Git: https://salsa.debian.org/js-team/node-http-signature.git
 Homepage: https://github.com/joyent/node-http-signature/

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-http-signature-$1.tar.gz/ \
 https://github.com/joyent/node-http-signature/tags .*/archive/v?([\d\.]+).tar.gz

## node-http-signature 1.3.6

=== Makefile ===
#
# Copyright 2019 Joyent, Inc.
#

JS_FILES	:= $(shell find lib -name '*.js')
JSL_CONF_NODE	 = tools/jsl.node.conf
JSL_FILES_NODE   = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSSTYLE_FLAGS    = -f tools/jsstyle.conf

# This, and the includes below, provide: 'make check' and 'make clean'.
include ./tools/mk/Makefile.defs


#
# Repo-specific targets
#
.PHONY: all
all: $(REPO_DEPS)
	npm install

CLEAN_FILES += ./node_modules

.PHONY: test
test: all
	TAP=1 ./node_modules/.bin/tap test/*.test.js

# Ensure CHANGES.md and package.json have the same version.
.PHONY: check-version
check-version:
	@echo version is: $(shell cat package.json | json version)
	[ "`cat package.json | json version`" = "`grep '^## ' CHANGES.md | head -2 | tail -1 | awk '{print $$2}'`" ]

check: check-version

.PHONY: cutarelease
cutarelease: $(COMPLETION_FILE) check-version
	[ -z "`git status --short`" ]  # If this fails, the working dir is dirty.
	@which json 2>/dev/null 1>/dev/null && \
	    ver=$(shell json -f package.json version) && \
	    name=$(shell json -f package.json name) && \
	    publishedVer=$(shell npm view -j $(shell json -f package.json name)@$(shell json -f package.json version) version 2>/dev/null) && \
	    if [ -n "$$publishedVer" ]; then \
		echo "error: $$name@$$ver is already published to npm"; \
		exit 1; \
	    fi && \
	    echo "** Are you sure you want to tag and publish $$name@$$ver to npm?" && \
	    echo "** Enter to continue, Ctrl+C to abort." && \
	    read
	ver=$(shell cat package.json | json version) && \
	    date=$(shell date -u "+%Y-%m-%d") && \
	    git tag -a "v$$ver" -m "version $$ver ($$date)" && \
	    git push --tags origin && \
	    npm publish


include ./tools/mk/Makefile.deps
include ./tools/mk/Makefile.targ

=== debian/changelog ===
node-http-signature (1.3.6-2) unstable; urgency=medium

  * Team upload
  * Fix test for tap >= 15 (--no-cov) (Closes: #1009514)

 -- Yadd <yadd@debian.org>  Mon, 18 Apr 2022 08:07:33 +0200

node-http-signature (1.3.6-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * New upstream version 1.3.6

 -- Yadd <yadd@debian.org>  Thu, 30 Dec 2021 18:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , node-assert-plus
- , node-jsprim
- , node-uuid
- , node-sshpk
- , node-tap
+ debhelper-compat (= 13)
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+ , node-assert-plus <!nocheck>
+ , node-jsprim <!nocheck>
+ , node-uuid <!nocheck>
+ , node-sshpk <!nocheck>
+ , node-tap <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-http-signature
 Vcs-Git: https://salsa.debian.org/js-team/node-http-signature.git
 Homepage: https://github.com/joyent/node-http-signature/
@@ -25,7 +25,6 @@
  , node-assert-plus
  , node-jsprim
  , node-sshpk
- , nodejs
 Description: Reference implementation of Joyent's HTTP Signature scheme
  node-http-signature is a node.js library that has client and server components
  for Joyent's HTTP Signature Scheme.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-http-signature-$1/ \
 https://github.com/joyent/node-http-signature/tags .*/archive/.*/v?([\d\.]+).tar.gz
